.services {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.services-intro {
  display: flex;
  justify-content: center;
  text-align: center;
  margin: 0;
}

@media (max-width: 640px) {
  .services-intro {
    justify-content: center;
    text-align: center;
  }
}

.services-grid {
  display: grid;
  gap: 16px;
  grid-template-columns: repeat(1, minmax(0, 1fr));
}

@media (min-width: 768px) {
  .services-grid {
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }
}

@media (min-width: 1280px) {
  .services-grid {
    grid-template-columns: repeat(3, minmax(0, 1fr));
  }
}

.services-card {
  display: flex;
  flex-direction: column;
  gap: 12px;
  box-sizing: border-box;
}

.services-card__animation {
  width: 100%;
  border-radius: 4px;
  overflow: hidden;
  line-height: 0;
}

.services-card__animation .lottie,
.services-card__animation canvas,
.services-card__animation svg {
  display: block;
  width: 100%;
  height: 100%;
}

.services-card__description {
  margin: 0;
  padding-right: 32px;
  padding-bottom: 32px;
  max-width: 500px;
}

.services-card__title {
    margin: 0px;
}

@media (max-width: 640px) {
  .services-card__title {
    gap: 8px;
  }
  .services-card__title {
    margin-left: 4px;
    margin-top: 2px;
  }
  .services-card__description {
    margin-left: 4px;
    font-size: 16px;
  }
}
